# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls
bin_contains = "darktable"
app_uninstallkey = "darktable"


def install():
    # Declaring local variables
    package_version = control.get_software_version()
    bin_name = glob.glob("*%s*.dmg" % bin_contains)[0]
    # Installing the software
    print("Installing: %s" % bin_name)

    install_dmg(bin_name)


def uninstall():
    # uninstalling the software
    remove_tree(f"/Applications/{app_uninstallkey}.app")
